#
# spec file for package runit (Version 2.1.1)
#
# Copyright (c) 2012 Aleksander Bradtke <istari@nordaq.pl>

Name:	runit
Summary:	A UNIX init scheme with service supervision
Version:	2.1.1
Release:	6%{?dist}

Group:		System Environment/Daemons
License:	BSD

BuildRoot: %{_tmppath}/%{name}-%{version}-build

Url:		http://smarden.org/runit/
Source0:	http://smarden.org/runit/%{name}-%{version}.tar.gz
Source1:	runit.systemd
Patch1:		runit-remove_stage1.patch

Obsoletes:	runit <= %{version}-%{release}
Provides:	runit = %{version}-%{release}

BuildRequires: make gcc

Packager: istari <istari@bradtke.pl>


%description
runit is a collection of tools for managing UNIX services.

runsv monitors a service. It starts the service and restarts the
service if it dies. Setting up a new service is easy: all runsv
needs is a directory with a run script that runs the service.

svlogd saves error messages to one or more logs. It optionally
timestamps each line and, for each log, includes or excludes lines
matching specified patterns. It automatically rotates logs to limit
the amount of disk space used. If the disk fills up, it pauses and
tries again, without losing any data.

%description -l pl
runit jest zestawem narzêdzi do zarz±dzania servisami UNIX'owymi

runsv monitoruje servisy. Startuje servisy i restartuje je, gdy
"umrą". Ustawienie nowego servisu jest proste: wszystko czego runsv
potrzebuje to katalog ze skryptami startowymi, które startują servisy.

svlogd zapisuje komunikaty o błędach do jednego lub więcej log'u.
Opcjonalnie stempluje każdż linię datą oraz, w każdym logu, dolacza
lub wyłącza linie pasujące do określonych wzorców. Automatycznie
robi rotating logów do limitu miejsca na dysku. Jeżeli dysk jest
zapełniony, robi pauzę i próbuje ponownie, bez strat danych.



%prep
%setup -q
%patch1 -p1

%build
cd src
make

%install
install -m 755 -d %{buildroot}{%{_sbindir},%{_bindir},%{_mandir}/man8,/service,/lib/systemd/system}

install -m 644 man/{chpst,runsv,runsvchdir,runsvdir,sv,svlogd}.8 %{buildroot}%{_mandir}/man8
install -m 755 src/{chpst,runsv,runsvchdir,runsvdir,sv,svlogd} %{buildroot}%{_bindir}
install %{SOURCE1} %{buildroot}/lib/systemd/system/runit.service

%post
/usr/bin/systemctl enable runit.service
/usr/bin/systemctl start runit.service

%preun
/usr/bin/systemctl stop runit.service
/usr/bin/systemctl disable runit.service


%files
%defattr(644,root,root,755)
%doc package/README package/COPYING
%dir /service
%{_mandir}/man8/*
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) /lib/systemd/system/runit.service

%changelog
* Thu Mar 27 2014 istari@bradtke.pl
- Improve runit.service file for systemd 
* Thu Sep 13 2012 istari@bradtke.pl
- Initial package
